#include <iostream>

using namespace std;

int main()
{
    int N,i,j;
    cin>>N;
    if(N%2==0)
    {
        for(i=1,j=2*N;N/2+N<j;i++,j--)
            cout<<j<<" "<<i<<" ";
        cout<<endl;
        for(i=N/2+1,j=2*N-N/2;i<j;i++,j--)
            cout<<j<<" "<<i<<" ";
    }
    return 0;
}